Summary: Programs needed for the ISDN subsystem
Name: isdn4k-utils
Version: 3.0
Release: 5
Copyright: GPL
Group: Applications/System
Source0: ftp://ftp.franken.de/pub/isdn4linux/v2.1/isdn4k-utils-3.0beta2.tar.bz2
Source1: isdn.init
Patch0: isdn-config.patch
Patch1: isdn4k-utils-3.0beta2-glibc21.patch
Patch2: isdn4k-utils-3.0beta2-buildroot.patch
BuildRoot: /var/tmp/%name-root
Requires: initscripts >= 3.1
Prereq: /sbin/chkconfig

%description
This package contains a collection of utilities. It is required for
configuration of isdn-subsystem.

%package -n xisdnload
Version: 1.37
Summary: ISDN load average display for X
Group: Applications/System

%description -n xisdnload
xisdnload displays a periodically updating histogram of the ISDN load average.

%prep
%setup -q -n isdn4k-utils-3.0beta2
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
cp .config.rpm .config
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" subconfig
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/dev
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/{ppp,isdn}
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/provider
mkdir -p $RPM_BUILD_ROOT/var/{log/vbox,spool/vbox}
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,X11R6/bin}
chmod 1777 $RPM_BUILD_ROOT/var/spool/vbox
make install DESTDIR=$RPM_BUILD_ROOT

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/isdn

mv -fv $RPM_BUILD_ROOT/usr/bin/x* $RPM_BUILD_ROOT/usr/X11R6/bin
install -m644 xisdnload/xisdnload.man \
	$RPM_BUILD_ROOT/usr/X11R6/man/man1/xisdnload.1x

mv $RPM_BUILD_ROOT/sbin/* $RPM_BUILD_ROOT/usr/sbin

touch $RPM_BUILD_ROOT/etc/ppp/ioptions
for file in isdn.conf.new vboxgetty.conf.new vboxd.conf.new ; do
	mv $RPM_BUILD_ROOT/etc/isdn/$file $RPM_BUILD_ROOT/etc/isdn/${file%%.new}
done

strip $RPM_BUILD_ROOT/usr/bin/* $RPM_BUILD_ROOT/usr/sbin/* \
	$RPM_BUILD_ROOT/usr/X11R6/bin/*  || :

# build some more documentation
pushd FAQ/tutorial ; {
    sgml2txt EN-i4l.sgml
    sgml2html EN-i4l.sgml
} ; popd

%post
/sbin/chkconfig --add isdn

%preun
if [ "$1" = 0 ]; then
  /sbin/chkconfig --del isdn
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /etc/isdn
%dir /var/spool/vbox
%dir /var/log/vbox
%dir /usr/lib/isdn
%config /etc/rc.d/init.d/isdn
%verify(not md5 size mtime) %config(noreplace) /etc/isdn/*
%attr(755,root,root) /etc/ppp/ioptions
%attr(755,root,root) %dir /etc/sysconfig/provider
/dev/*
/usr/bin/*
/usr/include/*
/usr/lib/*.a
/usr/lib/isdn/*
/usr/man/man?/*
/usr/sbin/*
%doc COPYING HOWTO README
%lang(de) %doc vbox/doc/de/vbox.sgml vbox/doc/de/vbox.txt
%doc FAQ/out/eng-i4l-faq.asc  FAQ/out/eng-i4l-faq.html
%lang(de) %doc FAQ/out/de-i4l-faq.asc FAQ/out/de-i4l-faq.html
%doc FAQ/_howto FAQ/_example FAQ/tutorial/*.txt FAQ/tutorial/*.html

%files -n xisdnload
%defattr(-,root,root)
/usr/X11R6/bin/xisdnload
%attr(0755,root,root) /usr/X11R6/bin/xmonisdn
/usr/X11R6/lib/X11/app-defaults/*
/usr/X11R6/man/man1/*
/usr/X11R6/include/X11/bitmaps/*
%doc xmonisdn/README

%changelog
* Fri Sep 25 1999 Bill Nottingham <notting@redhat.com>
- bang on init script

* Mon Sep 20 1999 Cristian Gafton <gafton@redhat.com>
- fix dangling symlink

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binaries
- chkconfig --del in %preun, not %postun

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- fix some of the german exclusive language in the init script

* Sun Aug 29 1999 Cristian Gafton <gafton@redhat.com>
- imported into Red Hat Linux
